Bug 165768 - system-config-nfs uses GtkFileSelector
system-config-nfs uses GtkFileSelector
Product: Fedora
Classification: Fedora
Component: system-config-nfs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-08-11 17:35 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-11 03:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2005-08-11 17:35:00 EDT
Version-Release number of selected component (if applicable):
system-config-nfs.noarch 0:1.3.11-1

How reproducible:

Steps to Reproduce:
1. Click "Add"
2. In "Basic" tab, click on "Browse"
Actual results:
Old-school GtkFileSelector pops up

Expected results:
New-look GtkFileChooser dialog should appear
Comment 1 Nils Philippsen 2005-08-12 05:38:46 EDT
If only GtkFileChooser weren't so slow displaying directories containing many
files... (SCNR ;-)).
Comment 2 Nils Philippsen 2005-08-12 05:41:15 EDT
Hmm, after really trying it out it seems to be my disk anyway.
Comment 3 Nils Philippsen 2005-08-12 05:44:48 EDT
Or not? I'm confused.

When cached, both old and new stile file selection display /usr/bin after about
a second. But if not cached, the old one takes about 40 seconds versus more than
140 with the new one. Any idea why that is the case?
Comment 4 Dave Malcolm 2005-08-12 11:19:47 EDT
Currently, it can be really slow, yes (although I believe this is with the the
GNOME-VFS backend; you can give it a regular file-hierarchy backend instead;
this may be faster).

(There's probably a bug in our bugzilla already about the slowness)
Comment 5 Nils Philippsen 2005-10-11 03:52:49 EDT
Fixed in system-config-nfs-1.3.12.
Comment 6 Fedora Update System 2006-01-30 12:30:45 EST
From User-Agent: XML-RPC

system-config-nfs-1.3.16-0.fc4.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.